# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "flexitime"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A flexible time parsing library for Rust"
readme = "README.md"
license = "MIT"

[lib]
name = "flexitime"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4.42"

[dependencies.chrono-tz]
version = "0.10.4"

[dependencies.nom]
version = "8.0.0"

[dependencies.strum]
version = "0.27.2"

[dependencies.strum_macros]
version = "0.27.2"

[dependencies.thiserror]
version = "2.0.17"
